﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Entity.aspx.cs" Inherits="Entity" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <script type="text/javascript">
            //Put your JavaScript code here.
        </script>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>
        <telerik:RadDataForm runat="server" ID="RadDataForm1" DataKeyNames="CustomerID" DataSourceID="EntityDataSourceCustomers"
            Skin="Silk">
            <LayoutTemplate>
                <div id="demo">
                    <div class="RadDataForm RadDataForm_<%# Container.Skin %> rdfInlineBlock">
                        <div class="rdfHeader ">
                            <div class="rdfHeaderInner">Our customers</div>
                        </div>
                        <div id="itemPlaceholder" runat="server">
                        </div>
                        <div class="rdfPager">
                            <span>
                                <asp:Button ID="btnFirst" runat="server" CommandArgument="First" CommandName="Page"
                                    CssClass="rdfFirst" Text=" " ToolTip="First" />
                                <asp:Button ID="btnPrev" runat="server" CommandArgument="Prev" CommandName="Page"
                                    CssClass="rdfPrev" Text=" " ToolTip="Previous" />
                            </span><span>
                                <asp:Button ID="btnNext" runat="server" CommandArgument="Next" CommandName="Page"
                                    CssClass="rdfNext" Text=" " ToolTip="Next" />
                                <asp:Button ID="btnLast" runat="server" CommandArgument="Last" CommandName="Page"
                                    CssClass="rdfLast" Text=" " ToolTip="Last" />
                            </span>
                        </div>
                    </div>
                </div>
            </LayoutTemplate>
            <ItemTemplate>
                <div class="rdfFieldset rdfBorders">
                    <div class="rdfRow">
                        <asp:Label ID="CompanyNameLabel2" runat="server" CssClass="rdfLabel rdfBlock" Text="CompanyName"></asp:Label>
                        <asp:Label ID="CompanyNameLabel1" runat="server" CssClass="rdfFieldValue" Text='<%# Eval("CompanyName") %>' />
                    </div>
                    <div class="rdfRow">
                        <asp:Label ID="ContactNameLabel2" runat="server" CssClass="rdfLabel rdfBlock" Text="ContactName"></asp:Label>
                        <asp:Label ID="ContactNameLabel1" runat="server" CssClass="rdfFieldValue" Text='<%# Eval("ContactName") %>' />
                    </div>
                    <div class="rdfRow">
                        <asp:Label ID="ContactTitleLabel2" runat="server" CssClass="rdfLabel rdfBlock" Text="ContactTitle"></asp:Label>
                        <asp:Label ID="ContactTitleLabel1" runat="server" CssClass="rdfFieldValue" Text='<%# Eval("ContactTitle") %>' />
                    </div>
                    <div class="rdfRow">
                        <asp:Label ID="AddressLabel2" runat="server" CssClass="rdfLabel rdfBlock" Text="Address"></asp:Label>
                        <asp:Label ID="AddressLabel1" runat="server" CssClass="rdfFieldValue" Text='<%# Eval("Address") %>' />
                    </div>
                    <div class="rdfRow">
                        <asp:Label ID="CityLabel2" runat="server" CssClass="rdfLabel rdfBlock" Text="City"></asp:Label>
                        <asp:Label ID="CityLabel1" runat="server" CssClass="rdfFieldValue" Text='<%# Eval("City") %>' />
                    </div>
                    <div class="rdfRow">
                        <asp:Label ID="CountryLabel2" runat="server" CssClass="rdfLabel rdfBlock" Text="Country"></asp:Label>
                        <asp:Label ID="CountryLabel1" runat="server" CssClass="rdfFieldValue" Text='<%# Eval("Country") %>' />
                    </div>

                    <div class="rdfCommandButtons">
                        <hr class="rdfHr" />
                        <telerik:RadButton ID="InitInsertButton" runat="server" ButtonType="SkinnedButton"
                            CausesValidation="False" CommandName="InitInsert" Text="Insert" ToolTip="Insert" />
                        <telerik:RadButton ID="EditButton" runat="server" ButtonType="SkinnedButton" CausesValidation="False"
                            CommandName="Edit" Text="Edit" ToolTip="Edit" />
                        <telerik:RadButton ID="DeleteButton" runat="server" ButtonType="SkinnedButton"
                            CausesValidation="False" CommandName="Delete" Text="Delete" ToolTip="Delete" />
                    </div>
                </div>
            </ItemTemplate>
            <EditItemTemplate>
                <fieldset class="rdfFieldset rdfBorders">
                    <legend class="rdfLegend"></legend>
                    <div class="rdfRow">
                        <asp:Label ID="CustomerIDLabel2" runat="server" CssClass="rdfLabel rdfBlock" Text="CustomerID"></asp:Label>
                        <asp:Label ID="CustomerIDLabel1" runat="server" CssClass="rdfFieldValue" Text='<%# Eval("CustomerID") %>' />
                    </div>
                    <div class="rdfRow">
                        <asp:Label ID="CompanyNameLabel2" runat="server" AssociatedControlID="CompanyNameTextBox"
                            CssClass="rdfLabel rdfBlock" Text="CompanyName"></asp:Label>
                        <telerik:RadTextBox ID="CompanyNameTextBox" runat="server" Text='<%# Bind("CompanyName") %>' WrapperCssClass="rdfInput" />
                    </div>
                    <div class="rdfRow">
                        <asp:Label ID="ContactNameLabel2" runat="server" AssociatedControlID="ContactNameTextBox"
                            CssClass="rdfLabel rdfBlock" Text="ContactName"></asp:Label>
                        <telerik:RadTextBox ID="ContactNameTextBox" runat="server" Text='<%# Bind("ContactName") %>'
                            WrapperCssClass="rdfInput" />
                    </div>
                    <div class="rdfRow">
                        <asp:Label ID="ContactTitleLabel2" runat="server" AssociatedControlID="ContactTitleTextBox"
                            CssClass="rdfLabel rdfBlock" Text="ContactTitle"></asp:Label>
                        <telerik:RadTextBox ID="ContactTitleTextBox" runat="server" Text='<%# Bind("ContactTitle") %>' WrapperCssClass="rdfInput" />
                    </div>
                    <div class="rdfRow">
                        <asp:Label ID="AddressLabel2" runat="server" AssociatedControlID="AddressTextBox" CssClass="rdfLabel rdfBlock"
                            Text="Address"></asp:Label>
                        <telerik:RadTextBox ID="AddressTextBox" runat="server" Text='<%# Bind("Address") %>' WrapperCssClass="rdfInput" />
                    </div>
                    <div class="rdfRow">
                        <asp:Label ID="CityLabel2" runat="server" AssociatedControlID="CityTextBox" CssClass="rdfLabel rdfBlock"
                            Text="City"></asp:Label>
                        <telerik:RadTextBox ID="CityTextBox" runat="server" Text='<%# Bind("City") %>' WrapperCssClass="rdfInput" />
                    </div>
                    <div class="rdfRow">
                        <asp:Label ID="CountryLabel2" runat="server" AssociatedControlID="CountryTextBox" CssClass="rdfLabel rdfBlock"
                            Text="Country"></asp:Label>
                        <telerik:RadTextBox ID="CountryTextBox" runat="server" Text='<%# Bind("Country") %>' WrapperCssClass="rdfInput" />
                    </div>
                    <div class="rdfCommandButtons">
                        <hr class="rdfHr" />
                        <telerik:RadButton ID="UpdateButton" runat="server" ButtonType="SkinnedButton"
                            CommandName="Update" Text="Update" ToolTip="Update" />
                        <telerik:RadButton ID="CancelButton" runat="server" ButtonType="SkinnedButton" CausesValidation="False"
                            CommandName="Cancel" Text="Cancel" ToolTip="Cancel" />
                    </div>
                </fieldset>
            </EditItemTemplate>
            <InsertItemTemplate>
                <fieldset class="rdfFieldset rdfBorders">
                    <legend class="rdfLegend"></legend>
                    <div class="rdfRow">
                        <asp:Label ID="CustomerIDLabel2" runat="server" CssClass="rdfLabel rdfBlock" Text="CustomerID"></asp:Label>
                        <telerik:RadTextBox ID="CustomerIDTextBox" runat="server" Text='<%# Bind("CustomerID") %>' WrapperCssClass="rdfInput" />
                    </div>
                    <div class="rdfRow">
                        <asp:Label ID="CompanyNameLabel2" runat="server" AssociatedControlID="CompanyNameTextBox"
                            CssClass="rdfLabel rdfBlock" Text="CompanyName"></asp:Label>
                        <telerik:RadTextBox ID="CompanyNameTextBox" runat="server" Text='<%# Bind("CompanyName") %>' WrapperCssClass="rdfInput" />
                    </div>
                    <div class="rdfRow">
                        <asp:Label ID="ContactNameLabel2" runat="server" AssociatedControlID="ContactNameTextBox"
                            CssClass="rdfLabel rdfBlock" Text="ContactName"></asp:Label>
                        <telerik:RadTextBox ID="ContactNameTextBox" runat="server" Text='<%# Bind("ContactName") %>' WrapperCssClass="rdfInput" />
                    </div>
                    <div class="rdfRow">
                        <asp:Label ID="ContactTitleLabel2" runat="server" AssociatedControlID="ContactTitleTextBox"
                            CssClass="rdfLabel rdfBlock" Text="ContactTitle"></asp:Label>
                        <telerik:RadTextBox ID="ContactTitleTextBox" runat="server" Text='<%# Bind("ContactTitle") %>' WrapperCssClass="rdfInput" />
                    </div>
                    <div class="rdfRow">
                        <asp:Label ID="AddressLabel2" runat="server" AssociatedControlID="AddressTextBox"
                            CssClass="rdfLabel rdfBlock" Text="Address"></asp:Label>
                        <telerik:RadTextBox ID="AddressTextBox" runat="server" Text='<%# Bind("Address") %>' WrapperCssClass="rdfInput" />
                    </div>
                    <div class="rdfRow">
                        <asp:Label ID="CityLabel2" runat="server" AssociatedControlID="CityTextBox"
                            CssClass="rdfLabel rdfBlock" Text="City"></asp:Label>
                        <telerik:RadTextBox ID="CityTextBox" runat="server" Text='<%# Bind("City") %>' WrapperCssClass="rdfInput" />
                    </div>
                    <div class="rdfRow">
                        <asp:Label ID="CountryLabel2" runat="server" AssociatedControlID="CountryTextBox"
                            CssClass="rdfLabel rdfBlock" Text="Country"></asp:Label>
                        <telerik:RadTextBox ID="CountryTextBox" runat="server" Text='<%# Bind("Country") %>'
                            WrapperCssClass="rdfInput" />
                    </div>
                    <div class="rdfCommandButtons">
                        <hr class="rdfHr" />
                        <telerik:RadButton ID="PerformInsertButton" runat="server" ButtonType="SkinnedButton"
                            CommandName="PerformInsert" Text="Insert" ToolTip="Insert" />
                        <telerik:RadButton ID="CancelButton" runat="server" ButtonType="SkinnedButton"
                            CausesValidation="False" CommandName="Cancel" Text="Cancel" ToolTip="Cancel" />
                    </div>
                </fieldset>
            </InsertItemTemplate>
            <EmptyDataTemplate>
                <div class="RadDataForm RadDataForm_<%# Container.Skin %>">
                    <div class="rdfEmpty">
                        There are no items to be displayed.
                    </div>
                </div>
            </EmptyDataTemplate>
        </telerik:RadDataForm>
        <asp:EntityDataSource ID="EntityDataSourceCustomers" runat="server" ConnectionString="name=NorthwindReadWriteEntities"
            DefaultContainerName="NorthwindReadWriteEntities" EntitySetName="Customers" OrderBy="it.[ContactName]"
            EntityTypeFilter="Customer" EnableDelete="True" EnableFlattening="False" EnableInsert="True" EnableUpdate="True">
        </asp:EntityDataSource>
    </form>
</body>
</html>
